Package htsjdk.samtools

# Enum Class DownsamplingIteratorFactory.Strategy

java.lang.Object
java.lang.Enum<DownsamplingIteratorFactory.Strategy>
htsjdk.samtools.DownsamplingIteratorFactory.Strategy

All Implemented Interfaces:
  `Serializable`, `Comparable<DownsamplingIteratorFactory.Strategy>`, `Constable`

Enclosing class:
  `DownsamplingIteratorFactory`

public static enum DownsamplingIteratorFactory.Strategy extends Enum<DownsamplingIteratorFactory.Strategy>
Describes the available downsampling strategies.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Chained`
`ConstantMemory`
`HighAccuracy`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`description`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description of the strategy.
`static DownsamplingIteratorFactory.Strategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DownsamplingIteratorFactory.Strategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HighAccuracy

public static final DownsamplingIteratorFactory.Strategy HighAccuracy

### ConstantMemory

public static final DownsamplingIteratorFactory.Strategy ConstantMemory

### Chained

public static final DownsamplingIteratorFactory.Strategy Chained

## Field Details

### description

public final String description

## Method Details

### values

public static DownsamplingIteratorFactory.Strategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DownsamplingIteratorFactory.Strategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDescription

public String getDescription()
Gets the description of the strategy.